"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Parser = require("tree-sitter");
const prepare_language_1 = require("./prepare-language");
const highlight_1 = require("./highlight");
(() => __awaiter(this, void 0, void 0, function* () {
    const langs = yield prepare_language_1.loadLanguagesFromPackage('@atom-languages/language-typescript');
    const lang = langs.get('typescript');
    if (!lang)
        return;
    const parser = new Parser();
    parser.setLanguage(lang.grammar);
    const text = `
  function foo() {
    return 1;
  }`;
    const tree = parser.parse(text);
    console.log(JSON.stringify(highlight_1.highlightTree(lang.scopeMappings, text, tree), null, 2));
}))();
